/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.alterinfo.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 变更作废明细Entity
 * @author lw
 * @version 2018-04-13
 */
public class AlterInfo extends DataEntity<AlterInfo> {
	
	private static final long serialVersionUID = 1L;
	private String reason;		// 原因
	private String type;		// 模块标识（1：合同）
	private String beforeId;		// 业务id
	private String style;		// 业务类型(1:作废2：变更)
	
	public AlterInfo() {
		super();
	}

	public AlterInfo(String id){
		super(id);
	}

	@ExcelField(title="原因", align=2, sort=7)
	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}
	
	@ExcelField(title="模块标识", align=2, sort=8)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="业务id", align=2, sort=9)
	public String getBeforeId() {
		return beforeId;
	}

	public void setBeforeId(String beforeId) {
		this.beforeId = beforeId;
	}
	
	@ExcelField(title="业务类型", align=2, sort=10)
	public String getStyle() {
		return style;
	}

	public void setStyle(String style) {
		this.style = style;
	}
	
}